/* $Id$ */
/* $Log$
 */
#include <stdio.h>
#include "jy_sg.h"

int
detect_soundblaster(IOADDR addr) /* For SG, 0x220 or 0x240 */
{
  if (addr)
    {
      set_sb_bbase(addr);
      if (detect_dsp())
	return 1;
    }
  else				/* autodetect */
    {
      set_sb_bbase(0x240);
      if (detect_dsp())
	return 1;
      set_sb_bbase(0x220);
      if (detect_dsp())
	return 1;
      else
	return 0;
    }
}

int main(int argc, char *argv[])
{
  if ( ! open_port_device("/dev/port") )
    {
      fprintf(stderr, "Can\'t open Port I/O device, can\'t continue.\n");
      return 2;
    }

  if (detect_dsp())
    {
      fprintf(stderr,
	      "Sound Blaster compatible detected at %#03x\n",
	      (int)get_sb_bbase());
      return 0;
    }
  else
    {
      fprintf(stderr, "Failed to detect Sound Blaster compatible\n");
      return 1;
    }
}
